Skip to main content
GET
/
core
/
v1
/
parties
List Parties
curl --request GET \
  --url https://api.engrate.io/core/v1/parties \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.engrate.io/core/v1/parties"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.engrate.io/core/v1/parties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "parties": [
    {
      "countries": [
        "SE"
      ],
      "extra_ids": [
        {
          "kind": "eic",
          "value": "46X000000000245K"
        },
        {
          "kind": "se.ediel",
          "value": "24200"
        }
      ],
      "id": "0199c317-25ec-7cf7-94cc-32a39f068433",
      "name": "Ellevio AB"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

Query Parameters

id
string<uuid>[]

Filter by Engrate party id(s)

extra_id
string[]

Filter by Extra Identifiers - EIC, Ediel, VAT, and similar market-specific identifiers

country
string[]

Filter by ISO 3166-1 alpha-2 country codes

Example:

"SE"

name
string[]

Filter by legal name using substring matching

role
string[]

Filter by party role(s)

Example:

"system-operator"

Response

Successful Response

parties
Party · object[]
required